Why Isn't My S2 Z-Wave Device Working with My Qolsys IQ Panel 2?

Your S2 Z-Wave device is not working with your Qolsys IQ Panel 2 because you must update the Z-Wave firmware and/or the system firmware. The Z-Wave firmware should be at least 6.81.03, and the system firmware should be at least on 2.5.3. In some cases, you may need to use the device as S0.

Qolsys introduced IQ Panel 2 support for the S2 Security Protocol in Z-Wave Firmware Version 6.81.03. Any IQ Panel 2 or IQ Panel 2 Plus System running a Z-Wave Firmware Version of less than 6.81.03 will not be able to support the S2 Security Protocol. If you try to use an S2 device with an IQ Panel 2 System on a lower Z-Wave Firmware, then it will enroll using the S0 Security Protocol, instead of S2. In order to upgrade to Z-Wave Firmware Version 6.81.03 so that S2 is supported, the IQ Panel 2 must be on System Firmware Version 2.4.2 or higher.

However, Qolsys experienced numerous issues with Z-Wave Firmware Version 6.81.03 after it was first released. Many users found that they were unable to successfully enroll S2 Z-Wave devices after Z-Wave Firmware Version 6.81.03 had been downloaded. Not only would they fail to enroll using the S2 Protocol, they would also fail to enroll using the S0 Protocol, which they had been able to do on previous Z-Wave Firmware Versions. In other words, the new 6.81.03 Z-Wave Firmware made the IQ Panel 2 unable to support S2 Z-Wave devices in any sort of capacity.

Fortunately, Qolsys fixed these issues in IQ Panel 2 System Firmware Version 2.5.3. By upgrading the System Firmware to 2.5.3 and the Z-Wave Firmware Version to 6.81.03, users should be able to enroll S2 Z-Wave devices using the S2 Security Protocol as intended. Whether you upgrade the System Firmware or the Z-Wave Firmware first shouldn't have any impact on performance. You just need to make sure that both are on the proper version.

In summary:

  • An IQ Panel 2 cannot support the S2 Protocol if the Z-Wave Firmware Version is less than 6.81.03. Trying to enroll S2 Z-Wave devices on an IQ2 with a lower Z-Wave Firmware will cause the devices to enroll using the S0 Protocol.
  • If you try to enroll S2 Z-Wave devices on an IQ Panel 2 with a Z-Wave Firmware Version of 6.81.03, and a System Firmware Version of less than 2.5.3, you may find that the S2 Z-Wave devices cannot enroll in any capacity. The solution is to upgrade the IQ Panel 2 to the latest System Firmware.

Fortunately, it is easy to upgrade both the System Firmware and the Z-Wave Firmware. Information on the latest IQ Panel 2 System Firmware can be found on this page. We also have an FAQ that shows you how to upgrade the Z-Wave Firmware. You can view that helpful FAQ here.

In some rare cases, you might find that an S2 Z-Wave device still fails to enroll with the IQ2, even if the Z-Wave Firmware is 6.81.03, and the System Firmware is at least 2.5.3. When this happens, a pop-up box will appear during enrollment with a checkbox to allow "S2 Unauthenticated". Normally, you should be able to enroll with the box checked, which will have the device enroll using the S2 protocol. If you find that the device will not enroll, try rebooting the panel. If that doesn't work, you can then try un-checking the box to have the S2 device enroll using the S0 Protocol instead. This is a last resort if you cannot achieve successful enrollment using the S2 Protocol.

Did you find this answer useful?

We offer alarm monitoring as low as $10 / month

Click Here to Learn More

Related Products

Qolsys IQ Panel 2 Plus - Verizon LTE with  PowerG, S-Line & Legacy Interlogix
Qolsys IQ Panel 2 Plus
Verizon-LTE with PowerG, S-Line & Legacy Interlogix 319.5 MHz
List Price: $614.00
Our Price: $337.99
Qolsys IQ Panel 2 Plus - Verizon LTE with PowerG & Legacy Honeywell, 2GIG - Front
Qolsys IQ Panel 2 Plus
Verizon-LTE with PowerG & Legacy Honeywell, 2GIG 345 MHz
List Price: $684.00
Our Price: $376.99
Qolsys IQ Panel 2 Plus
Verizon-LTE with PowerG & Legacy DSC 433MHz
List Price: $684.00
Our Price: $376.99
Qolsys IQ Panel 2 Plus - AT&T LTE with PowerG, S-Line & Legacy Interlogix
Qolsys IQ Panel 2 Plus
AT&T-LTE with PowerG, Qolsys S-Line & Legacy Interlogix
List Price: $614.00
Our Price: $337.99
Qolsys IQ Panel 2 Plus - AT&T LTE with PowerG & Legacy Honeywell, 2GIG
Qolsys IQ Panel 2 Plus
AT&T-LTE with PowerG & Legacy Honeywell 5800, 2GIG 345MHz
List Price: $684.00
Our Price: $376.99
Qolsys IQ Panel 2 Plus
AT&T-LTE with PowerG & Legacy DSC 433MHz
List Price: $684.00
Our Price: $376.20

Related Videos


Answered